#ifndef IMAGEMANAGER_H
#define IMAGEMANAGER_H

#include "SDL.h"
#include <map>
#include <string>

class CImageManager
{
public:
    CImageManager() {}
    virtual ~CImageManager() {}

    void Init();
    SDL_Surface* GetImage(std::string name);
    void LoadImage( std::string filename );

    std::map<std::string, SDL_Surface*> m_ImageMap;

    std::map<std::string, SDL_Surface*>::iterator m_Itor;
};


#endif // IMAGEMANAGER_H
